//
// Created by main on 22-10-22.
//

#ifndef FUGG_INVENTORYITEM_H
#define FUGG_INVENTORYITEM_H

#include "../core.h"

#include "ItemProperty.h"

namespace flyff {
    struct __attribute__((packed)) InventoryItem {
        union {
            DEFINE_MEMBER(36, Pointer<ItemProperty>, property);
            // The index (or slot) of this item in the inventory.
            DEFINE_MEMBER(60, int32_t, index);
            DEFINE_MEMBER(64, uint32_t, quantity);

            const MinimumSize<96> size;
        };
    };
};



#endif //FUGG_INVENTORYITEM_H
